package com.chinac.sdk.demo.remote.utils;

import android.content.Context;
import android.content.SharedPreferences;

import com.chinac.remotesdk.RemoteSdk;

public class SpUtils {
    static SpUtils spUtils;
    SharedPreferences sp;
    private SpUtils(Context context) {
        sp = context.getSharedPreferences("remote", Context.MODE_PRIVATE);
    }
    public static SpUtils inst(Context context) {
        synchronized (SpUtils.class) {
            if (spUtils == null) {
                spUtils = new SpUtils(context);
            }
        }
        return  spUtils;
    }

    public void setCameraEnable(boolean enable) {
        sp.edit().putBoolean("camera_enable", enable).apply();
    }

    public boolean getCameraEnable() {
        return sp.getBoolean("camera_enable", false);
    }

    public void setMobileUrl(String url) {
        sp.edit().putString("mobile_url", url).apply();
    }

    public String getMobileUrl() {
        return sp.getString("mobile_url", "");
    }

    public void setCameraUrl(String url) {
        sp.edit().putString("camera_url", url).apply();
    }

    public String getCameraUrl() {
        return sp.getString("camera_url", "");
    }

    public RemoteSdk.ResolutionEnum getResolution() {
        String val = sp.getString("resolution", RemoteSdk.ResolutionEnum.P720.val);
        return RemoteSdk.ResolutionEnum.valToEnum(val);
    }

    public void setResolution(RemoteSdk.ResolutionEnum resolutionEnum) {
        sp.edit().putString("resolution", resolutionEnum.val);
    }

}
