package com.chinac.sdk.demo.remote.widget;

import android.app.Dialog;
import android.content.Context;
import android.view.Gravity;
import android.view.View;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.TextView;

import com.chinac.sdk.demo.remote.R;
import com.chinac.sdk.demo.remote.utils.DensityUtil;

public class BottomMenuDialog  {
    Context context;
    Dialog dialog;
    ImageView cameraImg;
    TextView resolutionTv;

    public BottomMenuDialog(Context context, View.OnClickListener listener) {
        this.context = context;
        dialog = new Dialog(context, R.style.popDialog);
        dialog.setContentView(R.layout.dlg_pop_menu);
        WindowManager.LayoutParams params = dialog.getWindow().getAttributes();
        params.gravity = Gravity.BOTTOM | Gravity.CENTER_HORIZONTAL;
        params.width = WindowManager.LayoutParams.MATCH_PARENT;
        params.height = WindowManager.LayoutParams.WRAP_CONTENT;
        params.y = DensityUtil.dp2px(context, 100);
        dialog.getWindow().setAttributes(params);

        dialog.findViewById(R.id.btn_clipboard).setOnClickListener(listener);
        dialog.findViewById(R.id.btn_clean_app).setOnClickListener(listener);
        dialog.findViewById(R.id.btn_shake).setOnClickListener(listener);
        dialog.findViewById(R.id.btn_camera).setOnClickListener(listener);
        dialog.findViewById(R.id.btn_resolution).setOnClickListener(listener);
        resolutionTv = dialog.findViewById(R.id.tv_resolution);
        dialog.findViewById(R.id.btn_exit).setOnClickListener(listener);
        cameraImg = dialog.findViewById(R.id.btn_camera_img);
    }

    public void updateCameraImg(boolean enable) {
        if (enable) {
            cameraImg.setImageResource(R.drawable.btn_camera_on);
        } else {
            cameraImg.setImageResource(R.drawable.btn_camera_off);
        }
    }

    public void show() {
        dialog.show();
    }

    public void hide() {
        dialog.hide();
    }

    public void dismiss() {
        dialog.dismiss();
    }

    public void setResolution(String text) {
        resolutionTv.setText(text);
    }
}
