package com.chinac.sdk.demo.remote.widget;

import android.app.Dialog;
import android.content.Context;
import android.view.Gravity;
import android.view.View;
import android.view.WindowManager;
import android.widget.EditText;

import com.chinac.sdk.demo.remote.R;

public class InputDialog {
   Context context;
   Dialog dialog;
   EditText editText;
   OnOkListener listener;

   public interface OnOkListener {
      void onOk(String text);
   }

   public InputDialog(Context context, OnOkListener listener) {
      this.context = context;
      this.listener = listener;
      dialog = new Dialog(context, R.style.popDialog);
      dialog.setContentView(R.layout.dlg_input);
      WindowManager.LayoutParams params = dialog.getWindow().getAttributes();
      params.gravity = Gravity.BOTTOM | Gravity.CENTER_HORIZONTAL;
      params.width = WindowManager.LayoutParams.MATCH_PARENT;
      params.height = WindowManager.LayoutParams.WRAP_CONTENT;
      dialog.getWindow().setAttributes(params);
      editText = dialog.findViewById(R.id.edit_text);
      dialog.findViewById(R.id.btn_ok).setOnClickListener(new View.OnClickListener() {
         @Override
         public void onClick(View v) {
            listener.onOk(editText.getText().toString());
         }
      });
   }

   public void show(String text) {
      editText.setText(text);
      dialog.show();
   }

   public void hide() {
      dialog.hide();
   }

   public void dismiss() {
      dialog.dismiss();
   }

}
