package com.chinac.sdk.demo.remote.widget;

import android.app.Dialog;
import android.content.Context;
import android.view.Gravity;
import android.view.View;
import android.view.WindowManager;
import android.widget.ImageView;

import com.chinac.sdk.demo.remote.R;
import com.chinac.sdk.demo.remote.utils.DensityUtil;

public class ResolutionDialog {
    Context context;
    Dialog dialog;

    public ResolutionDialog(Context context, View.OnClickListener listener) {
        this.context = context;
        dialog = new Dialog(context, R.style.popDialog);
        dialog.setContentView(R.layout.dlg_resolution);
        WindowManager.LayoutParams params = dialog.getWindow().getAttributes();
        params.gravity = Gravity.BOTTOM | Gravity.CENTER_HORIZONTAL;
        params.width = WindowManager.LayoutParams.MATCH_PARENT;
        params.height = WindowManager.LayoutParams.WRAP_CONTENT;
        params.y = DensityUtil.dp2px(context, 100);
        dialog.getWindow().setAttributes(params);

        dialog.findViewById(R.id.btn_high).setOnClickListener(listener);
        dialog.findViewById(R.id.btn_middle).setOnClickListener(listener);
        dialog.findViewById(R.id.btn_low).setOnClickListener(listener);
    }

    public void show() {
        dialog.show();
    }

    public void hide() {
        dialog.hide();
    }

    public void dismiss() {
        dialog.dismiss();
    }
}
